Skip to content

Update merchant

Request

Security
oauth2(Required scopes: merchant:update) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

merchantIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A lender's identifier for the merchant.

Bodyapplication/jsonrequired
addressobject(AddressBase)

The mailing address.

businessNamestring

The business name of the merchant. Can be displayed in UI.

businessTypeDisplayNamestring

The business type/description as shown to borrowers. For example: 'Merchant', 'Dealer', or 'Venue'. Defaults to 'Merchant' if no value is provided.

disputesContactEmailstring, <= 320 characters

The email of the merchant's disputes department.

disputesContactNamestring, <= 256 characters

The name of the merchant's disputes department.

disputesContactPhonestring, <= 15 characters

The phone number of the merchant's disputes department.

externalIdstring

A lender's identifier for the merchant.

parentMerchantIdstring or null

The parent merchant identifier. Used to represent hierarchy of merchant sub entities. Can be Peach or lender's external identifier.

primaryContactEmailstring, <= 320 characters

The email of the merchant's primary contact person or department.

primaryContactNamestring, <= 256 characters

The name of the merchant's primary contact person or department.

primaryContactPhonestring, <= 15 characters

The phone number of the merchant's primary contact person or department.

subEntitynamestring

The sub entity business name of the merchant. For example: Online Sephora.

PUT
/companies/{companyId}/merchants/{merchantId}
curl -i -X PUT \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/merchants/{merchantId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "address": {
      "POBox": "string",
      "addressLine1": "string",
      "addressLine2": "string",
      "city": "string",
      "country": "string",
      "countyOrRegion": "string",
      "postalCode": "string",
      "state": "strin"
    },
    "businessName": "string",
    "businessTypeDisplayName": "string",
    "disputesContactEmail": "string",
    "disputesContactName": "string",
    "disputesContactPhone": "string",
    "externalId": "string",
    "parentMerchantId": "string",
    "primaryContactEmail": "string",
    "primaryContactName": "string",
    "primaryContactPhone": "string",
    "subEntityname": "string"
  }'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(Merchant)
Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "address": { … }, "businessName": "string", "businessTypeDisplayName": "string", "disputesContactEmail": "string", "disputesContactName": "string", "disputesContactPhone": "string", "externalId": "string", "parentMerchantId": "string", "primaryContactEmail": "string", "primaryContactName": "string", "primaryContactPhone": "string", "subEntityname": "string" } }